Altibase.jdbc.driver.sharding.core

## Class NodeConnectionReport

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.NodeConnectionReport

    public class NodeConnectionReport
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`NodeConnectionReport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataNodeFailoverDestination` `getDestination()`
`int` `getNodeId()`
`void` `setNodeId(int aNodeId)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeConnectionReport

    public NodeConnectionReport()

### Method Detail

#### getNodeId

    public int getNodeId()

#### setNodeId

    public void setNodeId(int aNodeId)

#### getDestination

    public DataNodeFailoverDestination getDestination()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`